import { Icon } from "./Icon.ts";
import { IMenu } from "./IMenu.ts";
import { List } from "./List.ts";
import { SVGWidget } from "./SVGWidget.ts";
import "../src/Menu.css";
export declare class Menu extends SVGWidget implements IMenu {
    protected _icon: Icon;
    protected _list: List;
    protected _open: any;
    constructor();
    toggleMenu(): void;
    showMenu(): void;
    hideMenu(): void;
    enter(domNode: any, element: any): void;
    update(domNode: any, element: any): void;
    exit(domNode: any, element: any): void;
    click(d: any): void;
    preShowMenu(): void;
    postHideMenu(): void;
}
export interface Menu {
    faChar(): string;
    faChar(_: string): this;
    paddingPercent(): number;
    paddingPercent(_: number): this;
}
